org.apache.fop.layoutmgr

## Class KnuthBox

- java.lang.Object
- - org.apache.fop.layoutmgr.ListElement
  - - org.apache.fop.layoutmgr.KnuthElement
    - - org.apache.fop.layoutmgr.KnuthBox

Direct Known Subclasses:
  KnuthBlockBox, KnuthInlineBox

    public class KnuthBox
    extends KnuthElement

An instance of this class represents an unbreakable piece of content with fixed width: for example an image, a syllable (but only if letter spacing is constant), ... A KnuthBox is never a feasible breaking point. The represented piece of content is never suppressed. Besides the inherited methods and attributes, this class has some more attributes to store information about the content height and its vertical positioning, and the methods used to get them.

### Field Summary

### Fields inherited from class org.apache.fop.layoutmgr.KnuthElement

`INFINITE`

### Constructor Summary

Constructors
Constructor and Description
`KnuthBox(int width, Position pos, boolean auxiliary)` Creates a new `KnuthBox`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isBox()`
`String` `toString()`

### Methods inherited from class org.apache.fop.layoutmgr.KnuthElement

`getPenalty, getShrink, getStretch, getWidth, isAuxiliary, isUnresolvedElement`

### Methods inherited from class org.apache.fop.layoutmgr.ListElement

`getLayoutManager, getPosition, isForcedBreak, isGlue, isPenalty, setPosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### KnuthBox

    public KnuthBox(int width,
                    Position pos,
                    boolean auxiliary)

Creates a new `KnuthBox`.

Parameters:
  `width` - the width of this box
  `pos` - the Position stored in this box
  `auxiliary` - is this box auxiliary?

### Method Detail

#### isBox

    public boolean isBox()

Overrides:
  `isBox` in class `ListElement`
Returns:
  true if this element is a KnuthBox.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`